## javax.faces.validator
Class ValidatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.faces.FacesException
                      javax.faces.validator.ValidatorException

All Implemented Interfaces:
  java.io.Serializable

public class ValidatorException
extends FacesException

Version:
  $Revision: 225333 $ $Date: 2005-07-26 11:49:19 -0400 (Tue, 26 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: bdudney $), Thomas Spiegl
See Also:
  Serialized Form

Constructor Summary
`ValidatorException(FacesMessage message)`
`ValidatorException(FacesMessage message, java.lang.Throwable cause)`

Method Summary
`FacesMessage` `getFacesMessage()`

Methods inherited from class javax.faces.FacesException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidatorException

    public ValidatorException(FacesMessage message)

### ValidatorException

    public ValidatorException(FacesMessage message,
                              java.lang.Throwable cause)

Method Detail

### getFacesMessage

    public FacesMessage getFacesMessage()